'''
TensorFlow入門
https://qiita.com/horiem/items/00ec6488b23895cc4fe2
'''

import tensorflow as tf


# Step 1. データの準備
'''
tensorflowで使用するデータの準備を行う部分。
実際には画像とか、csvから読み取ったラベルとかを準備する。
'''
hello_data = 'Hello '
world_data = 'World!'


# Step 2. 演算の定義
'''
この後に行う演算の定義を行う部分。
演算の内容を事前にTensorFlowに知らせることによって計算パフォーマンスを最適化する。
'''
hello = tf.constant(hello_data)
world = tf.constant(world_data)
concat = hello + world


# Step 3. 演算の実行
'''
実際に演算を実行する部分。
これ以前はすべて準備で、ここで初めて、tensorflowによる演算が実行される。
'''
session = tf.Session()
print(session.run(concat))
